Bug 146104 - CAN-2005-0504 moxa CAP_SYS_RAWIO missing (ipf)
CAN-2005-0504 moxa CAP_SYS_RAWIO missing (ipf)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=moderate,public=20050110
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 08:10 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 09:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-01-25 08:10:03 EST
*** This bug has been split off bug 146102 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2005.01.25
08:07 -------

The moxa char driver is missing a CAP_SYS_RAWIO check which could allow a local
user the ability to do things like replace the firmware.  This is already fixed
in 2.4-bk and in 2.6.10-ac7 from Alan Cox (although it's ommitted from 2.6.10-ac10).

Patch available:
http://linux.bkbits.net:8080/linux-2.4/cset@41e2c5fb3htiRRycYu5I4skGWXcv5g
Comment 1 Jim Paradis 2005-06-29 18:08:52 EDT
A fix for this has been committed to the RHEL2.1 source tree for inclusion in
the next security errata.
Comment 3 Red Hat Bugzilla 2005-08-25 09:17:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html

Note You need to log in before you can comment on or make changes to this bug.